Bug 817237 - mosh-debuginfo 1.2 contains no sources
mosh-debuginfo 1.2 contains no sources
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mosh (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Chernyakhovsky
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-04-28 04:07 EDT by Ville Skyttä
Modified: 2012-05-14 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: mosh-1.2-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:24:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-04-28 04:07:40 EDT
mosh-debuginfo 1.2 contains no sources and is quite probably useless as -g is not being used to build.  One way to fix it (note also the lack of any -O flags fixed by this):

--- a/mosh.spec
+++ b/mosh.spec
@@ -32,4 +32,5 @@ Mosh is a remote terminal application that supports:
 # Use upstream's more aggressive hardening instead of Fedora's defaults
+export CFLAGS="-O2 -g" CXXFLAGS="-O2 -g"
 %configure --enable-compile-warnings=error
-make %{?_smp_mflags} CFLAGS="" CXXFLAGS=""
+make %{?_smp_mflags}
Comment 1 Fedora Update System 2012-04-28 14:01:04 EDT
mosh-1.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mosh-1.2-2.fc17
Comment 2 Fedora Update System 2012-04-28 14:01:45 EDT
mosh-1.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mosh-1.2-2.fc16
Comment 3 Fedora Update System 2012-04-28 14:02:42 EDT
mosh-1.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mosh-1.2-2.fc15
Comment 4 Fedora Update System 2012-04-28 14:03:19 EDT
mosh-1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mosh-1.2-2.el6
Comment 5 Fedora Update System 2012-04-28 14:03:55 EDT
mosh-1.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mosh-1.2-2.el5
Comment 6 Alex Chernyakhovsky 2012-04-28 14:05:06 EDT
Hi Ville,

Thanks for catching this, applied. I've already built the updated mosh packages.
Comment 7 Fedora Update System 2012-04-28 20:21:53 EDT
Package mosh-1.2-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mosh-1.2-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6903/mosh-1.2-2.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-05-08 00:24:12 EDT
mosh-1.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-10 10:21:08 EDT
mosh-1.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-10 10:34:09 EDT
mosh-1.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-05-14 22:10:01 EDT
mosh-1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-05-14 22:10:21 EDT
mosh-1.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.